Subject: [pim] Re: AD Review of draft-ietf-pim-anycast-rp

From: Dino Farinacci <[email-masked]>
Date: Mon, 21 Mar 2005 13:27:29 -0800

>>   Sorry I took so long to get to this.

    Sorry for the delay on the response. I will forward the draft in a 
    separate email today or tomorrow.

>>   I'm curious about the description of the actions.  In particular,
>> why do RP1 and RP2, which have receivers attached, send Register-Stop
>> messages before they've set up the source tree?  For example, it
>> says that RP1 always sends a Register-Stop, then MAY join back to
>> the source.  If it doesn't join back to the source, but sends the
>> Register-Stop anyway, that creates a black hole, right?  I would think
>> the sending of the Register-Stop would wait for the SPT to be set up,
>> at least on RPs with a non-empty inherited_olist(S,G).

    We specified it this way so we wouldn't require RP joining back to the
    source and then have later pruning from last-hop routers on that specific
    shared-tree.

    I will add more text to make this clearer.

>>   Also, I think the description of handling Register-Stop at an
>> RP is a little light; "just like it would if it was a DR" doesn't
>> seem like enough given that a DR never sends to multiple RPs.

    I agree and we have had subsequent comments regarding this. I will add
    some text.

>> It seems like (in the terms of the new pim spec) each RP maintains
>> one (S,G) Register State and one Register-Stop Timer per (S,G) and
>> other RP, and only sends a copy of a Register message to another
>> RP if the (S,G) Register State machine for the (S,G) of the Register
>> and the RP being sent to is in Join state.

    Right.

>>   To be honest, I'd really rather see a description of what a
>> router has to do with packets than an example -- e.g., I think an

    The example is precisely a description of what a router has to do.

>> RP has to decide whether a Register is from a DR or another RP,
>> to decide whether to forward it to other RPs; to do that the source
 
    If it's not from a configured RP, it is from a DR.

>> address of the packet has to be one that it knows, so the other RP
>> has to send with the source address that's configured in all the
>> other RPs.  That could cause reorigination loops which won't even
>> be stopped by TTL, if RP1 sent to RP2 but RP2 thought it came from
>> a DR so sent it to RP1 and RP1 thought it came from a DR so sent it

    RP would not think that. The text indicates all routers must be configured
    consistently, and the TTL is suppose to be copied. I will make this more
    clear in the text.

>> to RP2... so it's fine to have the example, but I think you should
>> also spell out
>> - What an RP does when it gets a Register, including how it
>>   decides whether or not to send it to the other RPs and what
>>   source address it uses when it reoriginates it;
>> - What an RP does when it gets a Register-Stop, and what state
>>   it needs to keep per-RP.

    I will clarify.

>>   I have some terminology suggestions that might make the document
>> more clear.  Instead of saying that the RP that receives the Register
>> "forward"s it to the other RPs, perhaps could you say "sends a copy of" 

    Okay, good suggestion. I will change.

>>   In the 2nd bullet of #4, I think it's unclear to say that the DR
>> sends to its closet RP address -- it sends to the anycast RP address,
>> right, which then results in the packet getting to the closest RP.
>> On the same point, in the 4th bullet, I think it'd be more clear to
>> say "..responsibility of the RP the DR *reaches*", not "selects", since
>> the DR is not selecting anything.

    Okay, makes more sense.

    Thanks for your comments.

Dino

_______________________________________________
pim mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pim